Search documentation of phoenix_kit

# PhoenixKit.Migrations.Postgres.V77 (phoenix_kit v1.7.87)

Copy Markdown View Source

V77: Rename Tickets module settings keys and permission module_key to customer_service.

The `tickets` module has been renamed to `customer_service`. This migration renames all associated settings keys and role permission module_key values to match the new module identity.

## Changes

- Rename 6 settings keys from `tickets_*` → `customer_service_*`
- Rename auto-granted permission key from `auto_granted_perm:tickets` → `auto_granted_perm:customer_service`
- Rename role permission module_key from `tickets` → `customer_service`

All operations are idempotent.

## Summary

### Functions

down(opts)
up(opts)

## Functions

# down(opts)

# up(opts)